# Contributors to OpenRCT2
Includes all git commit authors. Aliases are GitHub user names.

## Project team
* Ted John (IntelOrca) - Owner, merger, issue management
* Duncan Frost (duncanspumpkin) - Merger, issue management
* Michael Steenbeek (Gymnasiast) - Translation management
* Rune Laenen (runelaenen) - Translation management
* Miso Zmiric (mzmiric5) - Dependency / library management

## Long term developers
* Ted John (IntelOrca)
* Duncan Frost (duncanspumpkin)
* Michael Steenbeek (Gymnasiast)
* (zsilencer)

## Implementation (RCT2)
* Ted John (IntelOrca)
* Duncan Frost (duncanspumpkin)
* Peter Hill (ZedThree) - String handling, misc.
* (qcz) - Scenery window, misc.
* Matthias Lanzinger (lnz) - Climate, finance, scenario, ride reachability
* (zsilencer) - Audio, multiplayer, misc.
* Adrian Wielgosik (adrian17) - Misc.
* (hexdec) - Misc.
* Dennis Devriendt (ddevrien) - Misc.
* Maciek Baron (MaciekBaron) - Misc.
* (AngeloG) - Scrollbar input, misc.
* (jcdavis) - Misc.
* (marcotc) - Rain drawing, misc.
* (vanderkleij) - Misc.
* Ben Pye (benpye) - Misc.
* (JeroenSack) - Misc.
* (Vijfhoek) - Misc.
* (wolfreak99) - Misc.
* Inseok Lee (dlunch) - Original command line

## Additional implementation (OpenRCT2)
* (atmaxinger) - User configuration
* (anyc) - Housecleaning, cross-platform fixes
* Michael Steenbeek (Gymnasiast) - Cheats, RCT1 ride style, misc.
* Miso Zmiric (mzmiric5) - Misc.
* (DutchRPW) - Housecleaning, initialisation
* Jørn Lomax (jvlomax) - User configuration
* (KingHual) - Housecleaning
* Alexander Overvoorde (Overv) - Misc.
* (eezstreet) - Misc.
* Thomas den Hollander (ThomasdenH) - Misc.
* James Robertson (rd3k) - Misc.
* Robert Jordan (trigger-death) - UI theming, title sequence editor, misc.

## Bug fixes
* (halfbro)
* (Myrtle)
* (nean)
* Michael Pham (nightroan)

## Toolchain
* (Balletie) - OSX
* Kevin Burke (kevinburke) - OSX, Unix
* Miso Zmiric (mzmiric5) - OSX
* Jarno Veuger (JarnoVgr) - Windows build server
* Ted John (IntelOrca) - Windows
* Michał Janiszewski (janisozaur) - Linux, Travis CI

## Documentation
* (honzi)
* Kevin Burke (kevinburke)
* James Robertson (rd3k)
* Max Boße (MakaHost)
* (MaxBareiss)
* Mithun Hunsur (Philpax)
* (RollingStar)

## Translation
* Extracting from original files: Ted John (IntelOrca)
* Reviewing and merging: Rune Laenen (runelaenen), Michael Steenbeek (Gymnasiast)
* Fixing unmaintained languages: Michael Steenbeek (Gymnasiast)
* English (UK) - Ted John (IntelOrca), (Tinytimrob)
* English (US) - Ted John (IntelOrca), Michael Steenbeek (Gymnasiast)
* Dutch - Michael Steenbeek (Gymnasiast), (xzbobzx), (mrtnptrs), Thomas den Hollander (ThomasdenH), (hostbrute); reviewing and discussion: Aaron van Geffen (AaronVanGeffen), (Balletie) and Sijmen Schoon (Vijfhoek).
* Finnish - (DJHasis)
* French - (fbourigault), Joël Troch (JoelTroch), Michael Steenbeek (Gymnasiast)
* German - (danidoedel), (atmaxinger), (Yepoleb), Daniel Kessel (dkessel), Leon (AllGoodNamesAreTaken)
* Korean - "TELK" (telk5093)
* Polish - Adrian Wielgosik (adrian17)
* Portuguese (BR) - (kaudy)
* Russian - (Soosisya)
* Simplified Chinese - Naiji Ma (naijim)
* Spanish - (mdtrooper)
* Swedish - (Jinxit), (mharrys), (Slimeyo)
* Traditional Chinese - Harry Lam (daihakken)

## Graphics
* OpenRCT2 Logo - xzbobzx

## RollerCoaster Tycoon 2 credits
Design and programming by Chris Sawyer
Graphics by Simon Foster
Sound and music by Allister Brimble
Additional sounds recorded by David Ellis
Representation by Jacqui Lyons at Mar jacq Ltd.

Thanks to: Peter James Adcock, Joe Booth, and John Wardley

Licensed to Infogrames Interactive Inc.
